# Module `StaticObject`

## Global(s)

StaticObject |

## Type `StaticObject`

StaticObject.Desc | Descriptor of StaticObject and Unit are equal. StaticObject is just a passive variant of Unit.
StaticObject.ID | Identifier of a StaticObject. It assigned to an StaticObject by the Mission Editor automatically.
StaticObject.getByName(name) | Returns static object by its name.
StaticObject:getDesc() | Returns descriptor of the StaticObject.
StaticObject:getID() | returns identifier of the static object.

## Global(s)

#StaticObject StaticObject

## Type `DCSStaticObject`

## Type `StaticObject`

Represents static object added in the Mission Editor.

### Field(s)

#StaticObject.Desc StaticObject.Desc

  Descriptor of StaticObject and Unit are equal. StaticObject is just a passive variant of Unit.

#StaticObject.ID StaticObject.ID

  Identifier of a StaticObject. It assigned to an StaticObject by the Mission Editor automatically.

StaticObject.getByName(name)

  Returns static object by its name.

  If no static object found nil will be returned.

  ### Parameter

  - `#string name` : Name of static object to find.

  ### Return value

  #StaticObject:

StaticObject:getDesc()

  Returns descriptor of the StaticObject.

  ### Return value

  #StaticObject.Desc:

StaticObject:getID()

  returns identifier of the static object.

  ### Return value

  #StaticObject.ID:

## Type `StaticObject.Desc`

StaticObject descriptor.

Airdromes are unique and their types are unique, but helipads and ships are not always unique and may have the same type.

## Type `StaticObject.ID`